ShiftxPay
API Reference

List payments

GET
/v1/payments
AuthorizationBearer <token>

A secret API key, e.g. Authorization: Bearer sk_test_....

In: header

Query Parameters

limit?integer
Rangevalue <= 200
Default50
offset?integer
Default0
status?string

Exact status match.

from?string

RFC3339 or YYYY-MM-DD lower bound.

to?string

RFC3339 or YYYY-MM-DD upper bound.

q?string

Search public id, email, or last4.

min_amount?integer
Formatint64
max_amount?integer
Formatint64

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/payments"
{  "data": [    {      "id": "string",      "amount": 0,      "currency": "string",      "status": "string",      "fee_amount": 0,      "refunded_amount": 0,      "customer_email": "string",      "connector": "string",      "card": {        "brand": "string",        "last4": "string",        "funding": "string"      },      "created_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "next_cursor": 0}
{  "error": {    "code": "unauthorized",    "message": "unauthorized"  }}